# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "dify"
version = "0.3.6-alpha.0"
authors = ["Jihchi Lee <achi@987.tw>"]
include = ["src/**/*.rs", "Cargo.toml", "README.md", "LICENSE.md"]
description = "A fast pixel-by-pixel image comparison tool in Rust"
homepage = "https://github.com/jihchi/dify"
documentation = "https://docs.rs/dify"
readme = "README.md"
license-file = "LICENSE.md"
repository = "https://github.com/jihchi/dify.git"
[package.metadata.release]
pre-release-commit-message = "Bump version to {{version}}"

[lib]
bench = false

[[bin]]
name = "dify"
path = "src/main.rs"
bench = false

[[bench]]
name = "benchmark"
path = "./benches/benchmark.rs"
harness = false
[dependencies.anyhow]
version = "1.0"

[dependencies.colored]
version = "2.0.0"

[dependencies.getopts]
version = "0.2"

[dependencies.image]
version = "0.23.12"

[dependencies.rayon]
version = "1.5.0"
[dev-dependencies.assert_cmd]
version = "1.0.2"

[dev-dependencies.assert_fs]
version = "1.0.0"

[dev-dependencies.criterion]
version = "0.3"

[dev-dependencies.predicates]
version = "1.0.6"
